PDF::API2::Basic::PDF::Array(3p)

NAME
PDF::API2::Basic::PDF::Array - Low-level PDF array object

METHODS

  PDF::Array->new($parent, @values)
Creates an array with the given storage parent and an optional list of values to initialise the array with.

  $a->outobjdeep($fh, $pdf)
Outputs an array as a PDF array to the given filehandle.

  $a->elements()
Returns the contents of the array.

  $a->add_elements(@elements)
Appends the given elements to the array. An element is only added if it is defined.

  $a->remove_element($element)
Removes all occurrences of an element from an array.

  $a->val()
Returns a reference to the contents of the array.

  $a->copy($pdf)
Copies the array with deep-copy on elements which are not full PDF objects with respect to a particular $pdf output context